#!/usr/bin/env node

/**
 * Jheri-Curl (JSL + CURL = WTF)
 *
 * @package  jcurl
 * @author  Andrew Sliwinski <andrew@diy.tc>
 */

/**
 * Dependencies
 */
var sys     = require('sys'),
    exec    = require('child_process').exec,
    lint    = require('jsonlint'),
    jsl     = require('./lib/jsl');

/**
 * Puts
 */
var puts = function (error, stdout, stderr) {
    var a = stdout;

    // Parse
    lint.parse(a, function(err) {
        sys.puts(err);
    });

    // Output
    jsl.format(a, function(o, err) {
        sys.puts(o); 
    });
};

/**
 * Parse options
 */
var argv    = process.argv.slice(2);
var cmd     = argv.join(' ');

/**
 * Exec
 */
exec('curl ' + cmd, puts);