/**
 * Dependencies
 */
var exec        = require('child_process').exec,
    vows        = require('vows'),
    assert      = require('assert');

/**
 * Setup
 */
var testCmd_base    = 'jcurl http://search.twitter.com/search.json?q=node.js';
var testCmd_head    = 'jcurl --head http://search.twitter.com/search.json?q=node.js';
var suite           = vows.describe('CLI');

/**
 * Test
 */
suite.addBatch({

    'Base CLI': {

        topic: function() {
            exec(testCmd_base, this.callback);
        },

        'is a string': function (error, stdout, stderr) {
            assert.isString(stdout);
        },

        'includes new lines': function (error, stdout, stderr) {
            assert.include(stdout, '\n');
        },

    },

    'with --head option': {
        
        topic: function() {
            exec(testCmd_head, this.callback);
        },

        'is a string': function (error, stdout, stderr) {
            assert.isString(stdout);
        },

        'includes status code': function (error, stdout, stderr) {
            assert.include(stdout, 'HTTP/1.1');
        },

    }

})

/**
 * Export
 */
.export(module);