/**
 * Dependencies
 */
var vows        = require('vows'),
    assert      = require('assert'),
    jsl         = require('../lib/jsl');

/**
 * Setup
 */
var testString  = '{"head":{"code":200,"message":"OK","stamp":1321294368},"response":{"docs":"developer.something.com","help":"api@something.com","twitter":"@somethingcom"}}';
var suite       = vows.describe('jsl.js component');

/**
 * Test
 */
suite.addBatch({
    'format()': {

        topic: function() {
            jsl.format(testString, this.callback);
        },

        'is a string': function (object, err) {
            assert.isString(object);
        },

        'includes new lines': function (object, err) {
            assert.include(object, '\n');
        },

    },
})

/**
 * Export
 */
.export(module);